## Class TCallbackErrorHandler

Description

TCallbackErrorHandler class.

Captures errors and exceptions and send them back during callback response. When the application is in debug mode, the error and exception stack trace are shown. A TJavascriptLogger must be present on the client-side to view the error stack trace.

- since: 3.1
- version: $Id: TActivePageAdapter.php 1827 2007-04-02 06:19:55Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActivePageAdapter.php (line 306)

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TErrorHandler
                |
                --TCallbackErrorHandler

Method Summary
void displayException (Exception $exception)
Methods
displayException (line 313)

Displays the exceptions to the client-side TJavascriptLogger.

A HTTP 500 status code is sent and the stack trace is sent as JSON encoded.

- access: protected

void displayException (Exception $exception)

- Exception $exception: exception details.

Redefinition of:

TErrorHandler::displayException()
  Displays exception information.

#### Inherited Methods

Inherited From TErrorHandler

> TErrorHandler::displayException()
> TErrorHandler::getErrorTemplate()
> TErrorHandler::getErrorTemplatePath()
> TErrorHandler::getExceptionTemplate()
> TErrorHandler::handleError()
> TErrorHandler::handleExternalError()
> TErrorHandler::handleRecursiveError()
> TErrorHandler::init()
> TErrorHandler::setErrorTemplatePath()

Inherited From TModule

> TModule::getID()
> TModule::init()
> TModule::setID()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TErrorHandler

> TErrorHandler::ERROR_FILE_NAME
> TErrorHandler::EXCEPTION_FILE_NAME
> TErrorHandler::SOURCE_LINES

Documentation generated on Mon, 21 Apr 2008 11:29:34 -0400 by phpDocumentor 1.3.0RC4